Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.event
Class PrintJobAttributeEvent

    java.lang.Object
      java.util.EventObject
          javax.print.event.PrintEvent
              javax.print.event.PrintJobAttributeEvent

All Implemented Interfaces:
  Serializable

    public class PrintJobAttributeEvent

extends PrintEvent

Class PrintJobAttributeEvent encapsulates an event a PrintService reports to let the client know that one or more printing attributes for a PrintJob have changed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PrintJobAttributeEvent(DocPrintJob source, PrintJobAttributeSet attributes)` Constructs a PrintJobAttributeEvent object.

Method Summary
`PrintJobAttributeSet` | `getAttributes()` Determine the printing attributes that changed and their new values.
`DocPrintJob` | `getPrintJob()` Determine the Print Job to which this print job event pertains.

Methods inherited from class javax.print.event.PrintEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrintJobAttributeEvent

    public PrintJobAttributeEvent(DocPrintJob source,
                                  PrintJobAttributeSet attributes)

  Constructs a PrintJobAttributeEvent object.

  Parameters:
    `source` - the print job generating this event
    `attributes` - the attribute changes being reported
  Throws:
    `IllegalArgumentException` - if `source` is `null`.

Method Detail

### getPrintJob

    public DocPrintJob getPrintJob()

  Determine the Print Job to which this print job event pertains.

  Returns:
    Print Job object.

### getAttributes

    public PrintJobAttributeSet getAttributes()

  Determine the printing attributes that changed and their new values.

  Returns:
    Attributes containing the new values for the print job attributes that changed. The returned set may not be modifiable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.